# Uses of Interface
org.eclipse.emf.cdo.eresource.CDOBinaryResource

Packages that use CDOBinaryResource
Package
Description
org.eclipse.emf.cdo.eresource
The generated EMF API of the CDO repository file system.
org.eclipse.emf.cdo.eresource.impl
The generated EMF implementation of the CDO repository file system.
org.eclipse.emf.cdo.eresource.util
The generated EMF utilities of the CDO repository file system.
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.
org.eclipse.emf.cdo.ui
Reusable UI components specific to the CDO Model Repository.
org.eclipse.emf.cdo.view
Client concepts for dealing with views, view sets, queries, CDO objects and EMF resource sets.

## Uses of CDOBinaryResource in org.eclipse.emf.cdo.eresource

Methods in org.eclipse.emf.cdo.eresource that return CDOBinaryResource
Modifier and Type
Method
Description
`CDOBinaryResource`
CDOResourceFolder.`addBinaryResource(String name)`
`CDOBinaryResource`
EresourceFactory.`createCDOBinaryResource()`
Returns a new object of class 'CDO Binary Resource'.

## Uses of CDOBinaryResource in org.eclipse.emf.cdo.eresource.impl

Classes in org.eclipse.emf.cdo.eresource.impl that implement CDOBinaryResource
Modifier and Type
Class
Description
`class`
`CDOBinaryResourceImpl`
An implementation of the model object 'CDO Binary Resource'.
Methods in org.eclipse.emf.cdo.eresource.impl that return CDOBinaryResource
Modifier and Type
Method
Description
`CDOBinaryResource`
CDOResourceFolderImpl.`addBinaryResource(String name)`
`CDOBinaryResource`
EresourceFactoryImpl.`createCDOBinaryResource()`

## Uses of CDOBinaryResource in org.eclipse.emf.cdo.eresource.util

Methods in org.eclipse.emf.cdo.eresource.util with parameters of type CDOBinaryResource
Modifier and Type
Method
Description
`T`
EresourceSwitch.`caseCDOBinaryResource(CDOBinaryResource object)`
Returns the result of interpreting the object as an instance of 'CDO Binary Resource'.

## Uses of CDOBinaryResource in org.eclipse.emf.cdo.transaction

Methods in org.eclipse.emf.cdo.transaction that return CDOBinaryResource
Modifier and Type
Method
Description
`CDOBinaryResource`
CDOPushTransaction.`createBinaryResource(String path)`
`CDOBinaryResource`
CDOTransaction.`createBinaryResource(String path)`
`CDOBinaryResource`
CDOPushTransaction.`getBinaryResource(String path)`
`CDOBinaryResource`
CDOPushTransaction.`getOrCreateBinaryResource(String path)`
`CDOBinaryResource`
CDOTransaction.`getOrCreateBinaryResource(String path)`

## Uses of CDOBinaryResource in org.eclipse.emf.cdo.ui

Methods in org.eclipse.emf.cdo.ui with parameters of type CDOBinaryResource
Modifier and Type
Method
Description
`void`
CDOItemProvider.`fillBinaryResource(IMenuManager manager, CDOBinaryResource resource)`

## Uses of CDOBinaryResource in org.eclipse.emf.cdo.view

Methods in org.eclipse.emf.cdo.view that return CDOBinaryResource
Modifier and Type
Method
Description
`CDOBinaryResource`
CDOView.`getBinaryResource(String path)`